aboutsummaryrefslogtreecommitdiffhomepage
path: root/scripts
diff options
context:
space:
mode:
Diffstat (limited to 'scripts')
-rwxr-xr-xscripts/bootstrap/compile.sh6
1 files changed, 4 insertions, 2 deletions
diff --git a/scripts/bootstrap/compile.sh b/scripts/bootstrap/compile.sh
index f5724aa23d..0ecdcff768 100755
--- a/scripts/bootstrap/compile.sh
+++ b/scripts/bootstrap/compile.sh
@@ -173,10 +173,12 @@ if [ -z "${BAZEL_SKIP_JAVA_COMPILATION}" ]; then
else
[ -n "${PROTOC}" ] \
- || fail "Must specify PROTOC if not bootstrapping from the distribution artifact"
+ || fail "Must specify PROTOC if not bootstrapping from the distribution artifact;\
+ NOTE: development versions are built with 'bazel build //src:bazel'"
[ -n "${GRPC_JAVA_PLUGIN}" ] \
- || fail "Must specify GRPC_JAVA_PLUGIN if not bootstrapping from the distribution artifact"
+ || fail "Must specify GRPC_JAVA_PLUGIN if not bootstrapping from the distribution artifact;\
+ NOTE: development versions are built with 'bazel build //src:bazel'"
[[ -x "${PROTOC-}" ]] \
|| fail "Protobuf compiler not found in ${PROTOC-}"